// Code generated by running "go generate" in golang.org/x/text. DO NOT EDIT.

package main

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
	"golang.org/x/text/message/catalog"
)

type dictionary struct {
	index []uint32
	data  string
}

func (d *dictionary) Lookup(key string) (data string, ok bool) {
	p := messageKeyToIndex[key]
	start, end := d.index[p], d.index[p+1]
	if start == end {
		return "", false
	}
	return d.data[start:end], true
}

func init() {
	dict := map[string]catalog.Dictionary{
		"en_US": &dictionary{index: en_USIndex, data: en_USData},
		"es_ES": &dictionary{index: es_ESIndex, data: es_ESData},
		"pt_BR": &dictionary{index: pt_BRIndex, data: pt_BRData},
	}
	fallback := language.MustParse("en-US")
	cat, err := catalog.NewFromMap(dict, catalog.Fallback(fallback))
	if err != nil {
		panic(err)
	}
	message.DefaultCatalog = cat
}

var messageKeyToIndex = map[string]int{
	"%s blocking internet": 26,
	"%s is an easy, fast, and secure VPN service from riseup.net. %s does not require a user account, keep logs, or track you in any way.\n\t    \nThis service paid for entirely by donations from users like you. Please donate at riseup.net/vpn/donate.\n\t\t\nBy using this application, you agree to the Terms of Service available at riseup.net/tos. This service is provide as-is, without any warranty, and is intended for people who work to make the world a better place.": 2,
	"%s off":                  22,
	"%s on":                   21,
	"About":                   3,
	"About...":                17,
	"Can't connect to %s: %v": 8,
	"Can't contact bitmask":   5,
	"Cancel":                  13,
	"Cancel connection to %s": 14,
	"Checking status...":      10,
	"Connecting to %s":        23,
	"Could not find a polkit authentication agent. Please run one and try again.": 6,
	"Donate":             1,
	"Donate...":          16,
	"Error starting VPN": 9,
	"Help...":            15,
	"Is bitmaskd running? Start bitmask and try again.": 4,
	"Missing authentication agent":                      7,
	"Quit":                  18,
	"Retry":                 25,
	"Route traffic through": 19,
	"Stopping %s":           24,
	"The %s service is expensive to run. Because we don't want to store personal information about you, there is no accounts or billing for this service. But if you want the service to continue, donate at least $5 each month.\n\t\nDo you want to donate now?": 0,
	"Turn off":          12,
	"Turn on":           11,
	"Use %s %v gateway": 20,
}

var en_USIndex = []uint32{ // 28 elements
	0x00000000, 0x000000fd, 0x00000104, 0x000002d6,
	0x000002dc, 0x0000030e, 0x00000324, 0x00000370,
	0x0000038d, 0x000003ab, 0x000003be, 0x000003d1,
	0x000003d9, 0x000003e2, 0x000003e9, 0x00000404,
	0x0000040c, 0x00000416, 0x0000041f, 0x00000424,
	0x0000043a, 0x00000452, 0x0000045b, 0x00000465,
	0x00000479, 0x00000488, 0x0000048e, 0x000004a6,
} // Size: 136 bytes

const en_USData string = "" + // Size: 1190 bytes
	"\x02The %[1]s service is expensive to run. Because we don't want to stor" +
	"e personal information about you, there is no accounts or billing for th" +
	"is service. But if you want the service to continue, donate at least $5 " +
	"each month.\x0a\x09\x0aDo you want to donate now?\x02Donate\x02%[1]s is " +
	"an easy, fast, and secure VPN service from riseup.net. %[2]s does not re" +
	"quire a user account, keep logs, or track you in any way.\x0a\x09    " +
	"\x0aThis service paid for entirely by donations from users like you. Ple" +
	"ase donate at riseup.net/vpn/donate.\x0a\x09\x09\x0aBy using this applic" +
	"ation, you agree to the Terms of Service available at riseup.net/tos. Th" +
	"is service is provide as-is, without any warranty, and is intended for p" +
	"eople who work to make the world a better place.\x02About\x02Is bitmaskd" +
	" running? Start bitmask and try again.\x02Can't contact bitmask\x02Could" +
	" not find a polkit authentication agent. Please run one and try again." +
	"\x02Missing authentication agent\x02Can't connect to %[1]s: %[2]v\x02Err" +
	"or starting VPN\x02Checking status...\x02Turn on\x02Turn off\x02Cancel" +
	"\x02Cancel connection to %[1]s\x02Help...\x02Donate...\x02About...\x02Qu" +
	"it\x02Route traffic through\x02Use %[1]s %[2]v gateway\x02%[1]s on\x02%[" +
	"1]s off\x02Connecting to %[1]s\x02Stopping %[1]s\x02Retry\x02%[1]s block" +
	"ing internet"

var es_ESIndex = []uint32{ // 28 elements
	0x00000000, 0x000000ec, 0x000000f1, 0x000002de,
	0x000002e8, 0x00000327, 0x00000348, 0x000003af,
	0x000003d1, 0x000003f4, 0x0000040c, 0x00000425,
	0x0000042e, 0x00000435, 0x0000043e, 0x0000045b,
	0x00000464, 0x0000046c, 0x00000479, 0x00000480,
	0x00000493, 0x000004b4, 0x000004c4, 0x000004d2,
	0x000004e6, 0x000004fe, 0x00000509, 0x00000523,
} // Size: 136 bytes

const es_ESData string = "" + // Size: 1315 bytes
	"\x02El servicio %[1]s es caro de mantener. Como no queremos guardar ning" +
	"una información personal tuya, no hay cuentas ni servicio de facturación" +
	". Si quieres que este servicio continúe, dona al menos $5 cada mes.\x0a" +
	"\x09\x0a¿Quieres donar ahora?\x02Dona\x02%[1]s es un servicio de VPN fac" +
	"il, rapido y seguro de riseup.net. %[2]s no requiere registrar una cuent" +
	"a, recoge logs ni te rastrea de ninguna manera.\x0a\x09    \x0aEste serv" +
	"icio se paga completamente por donaciones de gente como tu. Por favor do" +
	"na a riseup.net/vpn/donate.\x0a\x09\x09\x0aAl usar este programa estas a" +
	"ceptando los Terminos de servicio disponibles en riseup.net/tos. Este se" +
	"rvicio se ofrece tal cual, sin garantia y con la intencion de la gente q" +
	"ue trabaja en el de hacer el mundo un mejor lugar.\x02Acerca de\x02¿Está" +
	" corriendo bitmaskd? Arranca bitmask y prueba de nuevo.\x02No se pudo co" +
	"ntactar con bitmask\x02No se pudo encontrar ningún agente de autenticaci" +
	"on de polkit. Por favor lanza uno y prueba de nuevo.\x02Falta un agente " +
	"de autenticación\x02No puedo conectar con %[1]s: %[2]v\x02Error arrancan" +
	"do la VPN\x02Comprobando el estado...\x02Encender\x02Apagar\x02Cancelar" +
	"\x02Cancela la conexión a %[1]s\x02Ayuda...\x02Dona...\x02Acerca de..." +
	"\x02Cerrar\x02Salir a través de\x02Usa la salida de %[1]s por %[2]v\x02%" +
	"[1]s encendida\x02%[1]s apagada\x02Connectando a %[1]s\x02Desconnectando" +
	" de %[1]s\x02Reintentar\x02%[1]s bloqueando internet"

var pt_BRIndex = []uint32{ // 28 elements
	0x00000000, 0x00000000, 0x00000013, 0x00000013,
	0x00000013, 0x0000006d, 0x00000099, 0x0000010a,
	0x00000135, 0x00000135, 0x00000135, 0x00000154,
	0x0000015a, 0x00000163, 0x0000016c, 0x00000189,
	0x00000192, 0x000001a8, 0x000001a8, 0x000001af,
	0x000001cd, 0x000001eb, 0x000001fe, 0x00000214,
	0x00000231, 0x0000024c, 0x0000025d, 0x0000027f,
} // Size: 136 bytes

const pt_BRData string = "" + // Size: 639 bytes
	"\x02Fazer uma doação\x02Você tem certeza que bitmaskd está sendo executa" +
	"do? Inicie o bitmask e tente novamente.\x02Não foi possível se comunicar" +
	" com bitmask\x02Não foi possível encontrar um agente de autenticação pol" +
	"kit. Por favor, execute um agente e tente novamente.\x02Um agente de aut" +
	"enticação está faltando\x02Verificando o estado da VPN...\x02Ligar\x02De" +
	"sligar\x02Cancelar\x02Cancelar a conexão à %[1]s\x02Ajuda...\x02Fazer um" +
	"a doação...\x02Fechar\x02Rotear o tráfego através de\x02Usar o gateway %" +
	"[2]v da %[1]s\x02%[1]s está ligada\x02%[1]s está desligada\x02A %[1]s es" +
	"tá sendo iniciada\x02A %[1]s está sendo parada\x02Tentar novamente\x02%[" +
	"1]s está bloqueando a Internet"

	// Total table size 3552 bytes (3KiB); checksum: 1E25D489
